// questo è il sorgente del nostro secondo sketch: "LED analogico"

#define PIN_LED 11             // definisce la costante PIN_LED valorizzata a 11

void setup() {
  pinMode(PIN_LED, OUTPUT);    // predispone il pin 11 per l'output 
}

void loop() {
  /*  Effettua un ciclo, appoggiandosi ad una variabile intera di nome "valore" che parte da 0 e si 
   *  incrementa ad ogni passo di 5 unità; il ciclo continua finchè "valore" è minore o uguale a 255  */
  for (int valore = 0; valore <= 255; valore += 5) {
    analogWrite(PIN_LED, valore);  // scrive sul pin del LED un voltaggio proporzionale a "valore"
    delay(20);                     // aspetta un cinquantesimo di secondo (20 millisecondi)
  }   

  /*  Effettua un secondo ciclo, stavolta con la variabile "valore" che scende da 255 a 0 decrementando
   *  di volta in volta di 5 unità; il ciclo continua finchè "valore" è positivo */
  for (int valore = 255; valore >= 0; valore -= 5) {
    analogWrite(PIN_LED, valore);  // scrive sul pin del LED un voltaggio proporzionale a "valore"
    delay(20);                     // aspetta un cinquantesimo di secondo (20 millisecondi)
  }   
}
